package com.jay.monitor.data.server.models.request.trace;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.util.Date;

/**
 * @Module 请求参数
 * @Description url请求的参数
 * @Author liukaixiong
 * @Date 2021/1/12 18:29
 */
public class URLRequest extends PageRequest {

    /**
     * 主键名称
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 应用名称
     */
    private String applicationName;

    /**
     * 应用地址
     */
    private String applicationIp;

    /**
     * 请求路径
     */
    private String url;

    /**
     * 用户编号
     */
    private String userId;

    /**
     * 客户端ip
     */
    private String clientIp;

    /**
     * 应用监控组
     */
    private String groupName;

    /**
     * 应用监控key
     */
    private String groupKey;

    /**
     * 数据编号
     */
    private String dataId;

    /**
     * 状态: 客户端返回的状态码
     */
    private Integer status;

    /**
     * 日志编号
     */
    private String logId;

    /**
     * 请求时长
     */
    private Integer requestTime;

    /**
     * 创建时间
     */
    private Date createdTime;

    /**
     * 参数内容
     */
    private String jsonContent;

    public String getJsonContent() {
        return jsonContent;
    }

    public void setJsonContent(String jsonContent) {
        this.jsonContent = jsonContent;
    }

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getApplicationName() {
        return applicationName;
    }

    public void setApplicationName(String applicationName) {
        this.applicationName = applicationName;
    }

    public String getApplicationIp() {
        return applicationIp;
    }

    public void setApplicationIp(String applicationIp) {
        this.applicationIp = applicationIp;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getClientIp() {
        return clientIp;
    }

    public void setClientIp(String clientIp) {
        this.clientIp = clientIp;
    }

    public String getDataId() {
        return dataId;
    }

    public void setDataId(String dataId) {
        this.dataId = dataId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getLogId() {
        return logId;
    }

    public void setLogId(String logId) {
        this.logId = logId;
    }

    public Integer getRequestTime() {
        return requestTime;
    }

    public void setRequestTime(Integer requestTime) {
        this.requestTime = requestTime;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getGroupKey() {
        return groupKey;
    }

    public void setGroupKey(String groupKey) {
        this.groupKey = groupKey;
    }


}
